Subject: bug#70280: closed (Re: [bug#70280] [PATCH 3/5] locale: Shrink‘%default-locale-definitions’ from 34 to 10 locales.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 29 Apr 2024 22:31:02 +0000

Your bug report

#70280: [PATCH 0/5] Reducing system size: locales and initrd

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70280: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70280
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#70280] [PATCH 3/5] locale: Shrink‘%default-locale-definitions’ from 34 to 10 locales.
From: Ludovic Courtès <[email-masked]>
To: "pelzflorian (Florian Pelz)" <[email-masked]>
Cc: [email-masked]
Date: Tue, 30 Apr 2024 00:30:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Florian,

I pushed this series as 5f89f45e7465ebbdc84c925ea3cfaec5dd06ed88,
following the two suggestions you made:

  • Dropping the controversial patch that changed whether the system
    locale would be include.

  • Dropping two “redundant” locales and adding two Portuguese locales
    to the default set.

Thanks again!

Ludo’.

Subject: [PATCH 0/5] Reducing system size: locales and initrd
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>
Date: Mon, 8 Apr 2024 16:22:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

I noticed¹ that ‘bare-bones.tmpl’ now leads to instances around
1.5 GiB, which I think is totally unreasonable, to say the least.

This patch series does the easy changes to get it to ~1.1 GiB,
which is still unreasonable, but at least should allow our installation
tests to run without having to increase the disk size again.

Thoughts?

The next but more difficult steps will be stripping Guix and Linux:

--8<---------------cut here---------------start------------->8---
$ guix size $(./pre-inst-env guix system build gnu/system/examples/bare-bones.tmpl) | head
store item                                                       total    self
/gnu/store/c650m9hh6zydh5nvnm4nk0m9y17y81cp-guix-1.4.0-18.4c94b9e   706.0   400.6  30.9%
/gnu/store/4z12nyxz5vc4r2hds08p2sfm0yjhlcka-linux-libre-6.7.11     119.6   119.6   9.2%
/gnu/store/1gd9nsy4cps8fnrd1avkc9l01l7ywiai-guile-3.0.9            135.0    53.1   4.1%
/gnu/store/bhynhk0c6ssq3fqqc59fvhxjzwywsjbb-guile-3.0.9            135.0    53.1   4.1%
/gnu/store/zh8ggd9z115agdx7yllvbr6vlg4zlis8-guile-static-initrd-3.0.9    46.0    46.0   3.6%
/gnu/store/lcygm0p2d59acvwi12lwldg5c0d4czpr-git-minimal-2.41.0     148.1    41.2   3.2%
/gnu/store/ln6hxqjvz6m9gdd9s97pivlqck7hzs99-glibc-2.35              40.6    38.8   3.0%
/gnu/store/6ncav55lbk5kqvwwflrzcr41hp5jbq0c-gcc-11.3.0-lib          75.3    34.7   2.7%
/gnu/store/b8wdz91p43s4kw26b300g4k3ap561fyk-locale-2.35             28.3    28.3   2.2%
--8<---------------cut here---------------end--------------->8---

Ludo’.

¹ https://ci.guix.gnu.org/build/3708442/details

Ludovic Courtès (5):
  system: Remove ‘glibc-2.33’ from ‘%default-locale-libcs’.
  system: ‘operating-system-locale-definitions’ includes the OS’ locale.
  locale: Shrink ‘%default-locale-definitions’ from 34 to 10 locales.
  services: build-vm: Provide only one locale.
  linux-initrd: Further strip the static Guile.

 doc/guix.texi                   |  5 +--
 gnu/packages/make-bootstrap.scm | 37 ++++++++++++++++++---
 gnu/services/virtualization.scm |  9 +++++
 gnu/system.scm                  | 28 ++++++++--------
 gnu/system/linux-initrd.scm     |  4 +--
 gnu/system/locale.scm           | 58 +++++++++------------------------
 6 files changed, 77 insertions(+), 64 deletions(-)

base-commit: cd45294d576975a3bff2f755764a3f46f09ea6f9
-- 
2.41.0